Package org.springframework.beans

# Class InvalidPropertyException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.beans.BeansException
org.springframework.beans.FatalBeanException
org.springframework.beans.InvalidPropertyException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `NotReadablePropertyException`, `NotWritablePropertyException`, `NullValueInNestedPathException`

public class InvalidPropertyException extends FatalBeanException
Exception thrown when referring to an invalid bean property. Carries the offending bean class and property name.

Since:
  1.0.2
Author:
  Juergen Hoeller
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidPropertyException(Class<?> beanClass, String propertyName, String msg)`
Create a new InvalidPropertyException.
`InvalidPropertyException(Class<?> beanClass, String propertyName, String msg, Throwable cause)`
Create a new InvalidPropertyException.

## Method Summary

Modifier and Type
Method
Description
`Class<?>`
`getBeanClass()`
Return the offending bean class.
`String`
`getPropertyName()`
Return the name of the offending property.

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidPropertyException

public InvalidPropertyException(Class<?> beanClass, String propertyName, String msg)
Create a new InvalidPropertyException.

Parameters:
  `beanClass` - the offending bean class
  `propertyName` - the offending property
  `msg` - the detail message

### InvalidPropertyException

public InvalidPropertyException(Class<?> beanClass, String propertyName, String msg, @Nullable Throwable cause)
Create a new InvalidPropertyException.

Parameters:
  `beanClass` - the offending bean class
  `propertyName` - the offending property
  `msg` - the detail message
  `cause` - the root cause

## Method Details

### getBeanClass

public Class<?> getBeanClass()
Return the offending bean class.

### getPropertyName

public String getPropertyName()
Return the name of the offending property.